class PersonalPluginIntro
  include Mongoid::Document
  include Mongoid::Timestamps

  field :text, type: String, localize: true
  field :brief_intro, type: Mongoid::Boolean, default: false
  field :complete_list, type: Mongoid::Boolean, default: true

  belongs_to :member_profile

  def pp_object
    brief_intro
  end

  def self.from_id(id)
    PersonalPluginIntro.find(id) rescue nil
  end

  def self.is_localized?(field_name)
    self.fields[field_name.to_s].localized?
  end

end
