module OrbitModel
  module Impression
    def self.included(base)
      include Impressionist::Impressionable

      base.extend ClassMethods
      base.is_impressionable :counter_cache => true, :column_name => :view_count, :unique => :request_hash
      base.field :view_count, :type => Integer, :default => 0
    end

  end
end