(function(){
	var getUrlVars = function(){
	    var vars = [], hash;
	    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
	    for(var i = 0; i < hashes.length; i++){
	        hash = hashes[i].split('=');
	        vars.push(decodeURIComponent(hash[0]));
	        vars[decodeURIComponent(hash[0])] = decodeURIComponent(hash[1]);
	    }
	    if(vars[0] == window.location.href){
	        vars =[];
	    }
	    return vars;
	}
	var	page_params = getUrlVars();
	$(document).ready(function(){
		$("head").append("<link href='/assets/pp-add-edit.css?body=1' media='screen' rel='stylesheet' /> ");
		var dataObject = (page_params['mobile_view'] ? {"page_id" : page_params["id"],"mobile_view" : 1} :  {"page_id" : page_params["id"]})
		$.ajax({
			url : "/page_parts/info",
			dataType : "json",
			type : "get",
			data : dataObject
		}).done(function(data){
			$.each(data.parts,function(i,part){
				var page_part = $("*[" + part.name + "]");
				$.each(part.subparts,function(x,subpart){
					 var newsub = (subpart.kind == "module_widget" ? $("<div data-partid='" + part.id + "' data-ps='" + subpart.id + "'>" + subpart.module + "/" + subpart.widget + "</div>") : $("<div data-partid='" + part.id + "' data-ps='" + subpart.id + "'>Text</div>"));
					 page_part.prepend(newsub);
					 newsub.click(function(){
						window.location.href = "/page_parts/edit_sub_part?page_id=" + page_params["id"] + "&part_id=" + $(this).data("partid") + "&sub_part_id=" + $(this).data("ps")+(page_params["mobile_view"] ? "&mobile_view=1": "");
					})
				})
			})
		})

		$("*[data-pp]").each(function(){
			var add_btn = $("<p class='add-ps'></p>"),
				part = $(this);
			add_btn.click(function(){
				if(part.find("*[data-ps]").length){
					window.location.href = "/page_parts/" + part.data("pp") + "/edit?page_id=" + page_params["id"]+(page_params["mobile_view"] ? "&mobile_view=1": "");
				}else{
					window.location.href = "/page_parts/new?part=" + part.data("pp") + "&page_id=" + page_params["id"]+(page_params["mobile_view"] ? "&mobile_view=1": "");
				}
			})
			part.append(add_btn);
		})
	})
})();