class MobilePagePart
   include Mongoid::Document
   include Mongoid::Timestamps

  field :part_id, type: Integer

  belongs_to :page
  has_many :sub_parts, :dependent => :destroy

  accepts_nested_attributes_for :sub_parts, :allow_destroy => true

end